ch.qos.logback.classic.net

## Class SocketNode

- java.lang.Object
- - ch.qos.logback.classic.net.SocketNode

All Implemented Interfaces:
  java.lang.Runnable

    public class SocketNode
    extends java.lang.Object
    implements java.lang.Runnable

Read `ILoggingEvent` objects sent from a remote client using Sockets (TCP). These logging events are logged according to local policy, as if they were generated locally.

For example, the socket node might decide to log events to a local file and also resent them to a second socket node.

Since:
  0.8.4
Author:
  Ceki Gülcü, Sébastien Pennec

### Constructor Summary

Constructors
Constructor and Description
`SocketNode(SimpleSocketServer socketServer, java.net.Socket socket, LoggerContext context)`

### Method Summary

Methods
`void` `run()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SocketNode

    public SocketNode(SimpleSocketServer socketServer,
              java.net.Socket socket,
              LoggerContext context)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`